Bug 4519 - Master 2.4 beta default framebuffer mode change
: Master 2.4 beta default framebuffer mode change
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/drakxtools)
: 2.4
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-28 10:03 by
Modified: 2008-02-15 18:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 10:03:02
У меня карта geforce 4 mx 440, на которой драйвера 5336 дают в консоли эффект
"мелькающих текстовых квадратов", если режим фреймбуфера совпадает с режимом в
иксах. т.е. при переключении в консоль по ctrl-alt-f1 вместо приглашения в
консоли оказывается мелькающих разными цветами бессмысленый набор букв.
Заметил такое в Master 2.4 beta - installer ставит в lilo режим vga=0x317 -
консоль не работает (в X режим 1024*768/65535 цветов)
Поставил режим vga=0x303 - пропали рамки вокруг текста в сплеше при загрузке ,
остался только пингвин сверху. Но после загрузки иксов консоль работает.
Может, стоит изменить умолчальный режим, который ставит инсталлятор? хотя бы
для
этой карты (с известной багой).
------- Comment #1 From 2004-06-29 17:45:25 -------
не думаю, что это нужно чинить в инсталлере
------- Comment #2 From 2004-06-30 09:08:19 -------
Чинить это нужно, потому что иначе консоль не видно. Где предлагаете ? 
------- Comment #3 From 2004-07-01 11:48:30 -------
Я бы загружал с vga=normal.
------- Comment #4 From 2004-07-01 12:19:22 -------
Можно и так (я делал), но при этом теряется всякая красивость и на экран 
влезает меньше текста. 
Мне показалось оптимальным 0x303. 
Могу сделать reopen, если требуется. 
------- Comment #5 From 2004-07-01 12:51:45 -------
а я бы вообще не ложил бинарных драйверов в мастер,
если уж мы начали о персональных предпочтениях.
Если есть несовместимость framebuffer и X'ового
драйвера -- ими и следует заниматься.
------- Comment #6 From 2004-07-01 13:15:49 -------
Не кладите. я пойду скачаю с nvidia.com, при этом буду ругать 
производителя такого идиотского дистрибутива (неудобного 
пользователю, но зато отмазавшегося от проблемы совместимости с 
закрытыми драйверами). 
Давайте заниматься " несовместимостью framebuffer и X'ового 
драйвера ", по моему , об этом и бага. вы говорите "давайте заниматься" 
и в то же время закрываете ее как wontfix. как это понять? 
------- Comment #7 From 2004-07-01 13:25:58 -------
понять так, что выстраивать объезды в _инсталляторе_
для такой карты мне кажется неправильным.
------- Comment #8 From 2004-07-01 14:25:28 -------
мне неважно, где именно будут обьезды.  
мне только хочется видеть после инсталляции работающую систему. 
 просто бага - есть. я обладатель такой видеокарты. я все время исправлял 
багу руками. теперь хочу, чтобы покупатели нового мастера не имели 
этой баги. и всего-то. 
 
Перевесьте ее на инитскрипт, который делает adjusting nvidia drivers, 
например, чтобы в него вписать заодно для этой карты  замену vga=0x317 
на vga=0x303 в lilo.conf. Или перевесьте на любой другой пакет, по вашему 
выбору. 
------- Comment #9 From 2004-07-02 17:25:24 -------
мнения будут ?
------- Comment #10 From 2004-07-02 17:33:38 -------
см. тж. 3083
------- Comment #11 From 2004-07-02 18:43:36 -------
(In reply to comment #4) 
> Мне показалось оптимальным 0x303.  
Я только его и пользую на 2-х машинах 
С новыми дровами не исправилось 
 
------- Comment #12 From 2004-07-05 07:54:49 -------
По вашему (Zerg) совету руками на 0x303 и исправляю. 
Но хочется руками исправлять перестать. 
------- Comment #13 From 2004-07-26 13:37:30 -------
в бете3 с драйверами 6106 та же картина - по дефолту режим 0x314, текст в
консоли не видать - черно-белые широкие полосы. 
соотв. после установки ничего нельзя прочитать на 12 консоли, например.
ручная замена на 0x303 решает.
------- Comment #14 From 2004-07-27 21:07:08 -------
фреймбуфер для таких карт по умолчанию отключен.
в режиме 'эксперт' можно выставить любой желаемый режим.
------- Comment #15 From 2008-02-15 18:42:58 -------
archiving